draft-koch-librepgp
LibrePGP Message Format
This document specifies the message formats used in LibrePGP.
LibrePGP is an extension of the OpenPGP format which provides
encryption with public-key or symmetric cryptographic algorithms,
digital signatures, compression and key management.
This document is maintained in order to publish all necessary
information needed to develop interoperable applications based on the
LibrePGP format. It is not a step-by-step cookbook for writing an
application. It describes only the format and methods needed to
read, check, generate, and write conforming packets crossing any
network. It does not deal with storage and implementation questions.
It does, however, discuss implementation issues necessary to avoid
security flaws.
This document is based on: RFC 4880 (OpenPGP), RFC 5581 (Camellia in
OpenPGP), and RFC 6637 (Elliptic Curves in OpenPGP).